API referenceRules
Evaluate a rule
Runs one rule against an output without storing a output. Useful for testing a rule before enabling it.
post
https://www.tracira.com/api/rules/evaluatePOST
sessionAuthcookie
better-auth.session_token<token>Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.
application/json- body
output*stringconfidence?|Range
0 <= value <= 1rule*Evaluation result.
application/json- response
verdict*stringValue in
"pass""fail""unsure"confidenceScore*numberexplanation*stringstatus*stringValue in
"pass""flagged""error"appliedRules*array<>curl -X POST 'https://www.tracira.com/api/rules/evaluate' \ -H 'Content-Type: application/json' \ -d '{ "output": "Sure, I can give you a full refund right away.", "confidence": 0.62, "rule": { "name": "No refund promises", "type": "keyword_forbidden", "value": "refund" }}'Example Response
{ "verdict": "pass", "confidenceScore": 0, "explanation": "string", "status": "pass", "appliedRules": [ { "ruleId": "string", "ruleName": "string", "ruleType": "keyword_required", "ruleValue": "string", "scope": "global", "projectName": "string", "taskName": "string", "outcome": "passed", "summary": "string", "evaluator": "deterministic", "model": "string", "llmOutput": "string" } ]}